services:
  csdm:
    build: .
    container_name: csdm
    ports:
      - "${PORT}:${PORT}/udp"
      - "${HLTV_PORT}:${HLTV_PORT}/udp"
    volumes:
      - ./server.cfg:/hlds/cstrike/server.cfg
    restart: unless-stopped
    environment:
      HOSTNAME: "${HOSTNAME}"
      MAP: "${START_MAP}"
      MAX_PLAYERS: "${MAX_PLAYERS}"
      PORT: "${PORT}"
      HLTV_PORT: "${HLTV_PORT}"
      RCON_PASSWORD: "${RCON_PASSWORD}"
      SV_LAN: "${SV_LAN}"
      VAC: "${VAC}"